# Interface methods for submodule: ConnectedComponentImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy, ScanlineFilterCommonProxy as _ScanlineFilterCommonProxy


# Interface methods for class: ConnectedComponentImageFilter
class ConnectedComponentImageFilterProxy(_ImageToImageFilterProxy, _ScanlineFilterCommonProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

	def GetObjectCount(self) -> int:
		""""""
		...

	def SetMaskImage(self, _arg) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetBackgroundValue(self) -> int:
		""""""
		...

